#
# spec file for package perl-JSON
# 
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

#Distribution:   %dist
#Packager:       %packager
#Vendor:         %vendor

Name:           perl-JSON
%define cpan_name JSON
Summary:        JSON (JavaScript Object Notation) encoder/decoder
Version:        2.17
Release:        1.3
License:        GPL/Artistic
Group:          Development/Libraries/Perl
URL:            http://search.cpan.org/dist/JSON/
Source:         http://search.cpan.org/CPAN/authors/id/M/MA/MAKAMAKA/%{cpan_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.00
# other not perl || perl-base
BuildRequires:  perl(JSON::XS)
#BuildRequires:  perl-libwww-perl
Requires:  perl = %{perl_version}
#Requires:  perl-libwww-perl
# other not perl || perl-base
Requires:  perl(JSON::XS)

%description
 %{cpan_name} module for perl

  JSON (JavaScript Object Notation) is a simple data format.
   See to http://www.json.org/ and RFC4627(http://www.ietf.org/rfc/rfc4627.txt).

  This module converts Perl data structures to JSON and vice versa using
   either JSON::XS or JSON::PP.

  JSON::XS is the fastest and most proper JSON module on CPAN which must be
   compiled and installed in your environment.
  JSON::PP is a pure-Perl module which is bundled in this distribution and has
   a strong compatibility to JSON::XS.

  This module try to use JSON::XS by default and fail to it, use JSON::PP instead.
  So its features completely depend on JSON::XS or JSON::PP.

  Author:	Makamaka Hannyaharamitu, <makamaka (at) cpan.org>


%prep
%setup -q -n %{cpan_name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%{__make}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean 
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README

%changelog
* Wed Jan 13 2010 jw@novell.com
- updated to 2.17
  * fixed a problem caused by JSON::XS backend and support_by_pp option
  (rt#52842,  rt#52847 by ikegami)
  [JSON::PP]
  * made compatible with JSON::XS 2.27
  * patched decode for incr_parse (rt#52820 by ikegami)
  * relaxed option caused an infinite loop in some condition.
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sat Jun 20 2009 chris@computersalat.de
- update to 2.15
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o added header
  o fixed deps
